%define name		awstats
%define version		5.4
%define release		1mdk
%define apachedir	%{_sysconfdir}/httpd/conf	

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Advanced Web Statistics
License:	GPL
Group:		Networking/WWW
URL:		http://awstats.sourceforge.net
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.conf.bz2
#Patch:		%{name}.conf.patch.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Advanced Web Statistics is a powerful and featureful tool that generates
advanced web server graphic statistics. This server log analyzer works
from command line or as a CGI and shows you all information your log contains,
in graphical web pages. It can analyze a lot of web/wap/proxy servers like
Apache, IIS, Weblogic, Webstar, Squid, ... but also mail or ftp servers.

This program can measure visits, unique vistors, authenticated users, pages,
domains/countries, OS busiest times, robot visits, type of files, search
engines/keywords used, visits duration, HTTP errors and more...
Statistics can be updated from a browser or your scheduler.
The program also supports virtual servers, plugins and a lot of features.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
bzcat %{SOURCE1} > %{name}.conf

%build

%install
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/addon-modules
install -d -m 0755 $RPM_BUILD_ROOT/var/www/cgi-bin
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 0755 $RPM_BUILD_ROOT%{_localstatedir}/%{name}

install -m 755 wwwroot/cgi-bin/awstats.pl $RPM_BUILD_ROOT/var/www/cgi-bin
install -m 644 wwwroot/cgi-bin/awstats.model.conf $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/%{name}.conf
install -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/addon-modules
cp -r tools $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/icon $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lang $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/lib $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -r wwwroot/cgi-bin/plugins $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod 755 $RPM_BUILD_ROOT%{_datadir}/%{name}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ $1 -eq 1 ]; then
	perl -pi -e 's/SiteDomain=""/SiteDomain="'`hostname`'"/' %{_sysconfdir}/%{name}/%{name}.conf
        echo "Include conf/addon-modules/%{name}.conf" >>%{apachedir}/commonhttpd.conf
	/sbin/service httpd graceful
fi

%postun
if [ $1 -eq 0 ]; then
	sed -i -e '/Include conf\/addon-modules\/%{name}.conf/d' %{apachedir}/commonhttpd.conf
	/sbin/service httpd graceful
fi

%files
%defattr(-,root,root)
%doc README.TXT docs/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/httpd/conf/addon-modules/%{name}.conf
%{_datadir}/%{name}
%{_localstatedir}/%{name}
/var/www/cgi-bin/%{name}.pl

%changelog
* Tue Mar 18 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.4-1mdk
- 5.4
- configuration patch merged upstream
- post-install automatic configuration

* Mon Feb 03 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 5.3-1mdk
- first mdk release
